// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef OmSourceDetectDialog_h
#define OmSourceDetectDialog_h
#include <qapplication.h>
#include <qdialog.h>
#include <qstring.h>
#include <qcheckbox.h>
#include "OmSourceBrowser.h"
#include <qdatetime.h>
class QSpinBox;

class OmSourceLabel;;
class OmSourceButton;
class QProcess;
class QTextEdit;
class QComboBox;
class OmSourceGroupBox;
class QTimer;
class DetectionDlg : public QDialog
{
    Q_OBJECT
     
 private slots:
    void setnSigma(int value) {_nSigma = value;  };
    

    void runOmdetect();    
    void runOmgrism();    
    
    void finished();    
    void finished1();    
   
    void terminate(); 
    void quit() {done(OmSourceBrowser::FAILED); };
    void updateTime();
    void slotDataOnStdout();
  
      public:
    DetectionDlg(QWidget *parent, QString imageFile, QString sourceListFile, QString spectrumFile);
    ~DetectionDlg();
    float getnSigma() { return float(_nSigma);};
   
   
 
 private:

    QString _imageFile;
    QString _sourceListFile;
    QString _spectrumFile;
 
    int _nSigma;
  
    OmSourceLabel* _label;
   
    OmSourceLabel* _label1;
 


    QSpinBox* _spinBox1;
  
   
    OmSourceButton* _terminateBtn;
    OmSourceButton* _quitBtn;
    OmSourceButton* _computeBtn;

    OmSourceGroupBox* _group;
    QProcess* _process;
    QTextEdit* _edit;
    QComboBox* _omdetectComboBox;
    bool _interupted;
    QTime _time;
    QTimer* _timer;
    string _programName;
};
#endif


