// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef OmSourceDetectDialog_h
#define OmSourceDetectDialog_h
#include <qapplication.h>
#include <qdialog.h>
#include <qstring.h>
#include <qcheckbox.h>
#include "OmSourceBrowser.h"
#include <qdatetime.h>

class QSpinBox;

class OmSourceLabel;;
class OmSourceButton;
class QProcess;
class QTextEdit;
class QComboBox;
class QTime;
class OmSourceGroupBox;
class QTimer;
class ExtractionRegion;
struct ExtractionParameters;
class OmgrismDlg : public QDialog
{
    Q_OBJECT
     
 private slots:
   

    void runOmgrism();    

    /*******************************************************************************
    *
    *
    *******************************************************************************/
    void runOmgrism(float centralWidth, 
                            float leftOffset, float leftWidth, 
		    float rightOffset, float rightWidth, int binSize);






    
    void finished();
    void finished1();
   
  
    void terminate(); 
   
    void slotDataOnStdout();
    void updateTime();

      public:
    OmgrismDlg(QWidget *parent, QString imageFile, 
                QString sourceListFile,    
                QString spectrumFile, 
                QString spectrumPlotFile,
                ExtractionRegion* region, 
                ExtractionParameters* parameters);


    
    OmgrismDlg(QWidget *parent, QString imageFile, 
                QString sourceListFile,    
                QString spectrumFile, 
                QString spectrumPlotFile,
	       float centralWidth,
	        float xOffset, float xWidth,
                float yOffset, float yWidth,
	       int binSize,
                ExtractionParameters* parameters);




 private:
    void runOmgrismPlot();






 
    QString _imageFile;
    QString _sourceListFile;
    QString _spectrumFile;
    QString _spectrumPlotFile;
    ExtractionRegion* _extractionRegion;
    ExtractionParameters* _extractionParameters;
    OmSourceLabel* _label;
    OmSourceLabel* _commandLabel;
   
 
    OmSourceButton* _terminateBtn;
   
 
    QProcess* _process;
    QTextEdit* _edit;
    QComboBox* _omgrismComboBox;
    QTime _time;  
    QTimer* _timer;
};
#endif

