// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// File:      OmSourceParameters.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Aug  9 16:49:17 MEST 2002
#ifndef OMGSOURCEPARAMETER_H
#define OMGSOURCEPARAMETER_H


// equivalent of f90::type(OmSourceParameter)
struct OmGSourceParameter {
    OmGSourceParameter() :
      //    box,
    rightascension(0.), 
    declination(0.),  
    xcoord(0.), 
    ycoord(0.),
    positionerror(0),
    semia(0),
    semib(0),
    theta(0), 
    noSourcePixels(0),
    width(0),
    height(0),
    leftOffset(0), 
    leftWidth(0),
    rightOffset(0),
    rightWidth(0),
    spectrumNo(0),
    origin(0),
    qualityflag(0),
    extensionflag(0),
    confusionflag(0) 

  {}   

    double rightascension; 
    double declination;    
    float xcoord; 
    float ycoord;
    float positionerror;
    float semia;
    float semib;
    float theta;  
    int noSourcePixels;
    int width;
    int height;
    int leftOffset;
    int leftWidth;
    int rightOffset;
    int rightWidth;
    int spectrumNo;
    int origin;
    Integer1 qualityflag;
    Integer1 extensionflag;
    Integer1 confusionflag; 

   };

 






class OmGSourceParameters;
F90MODPROCDEF(void, omgsourceparameter_mod, new_)(OmGSourceParameters*, const int&, const int&);
F90MODPROCDEF(void, omgsourceparameter_mod, delete_)(OmGSourceParameters*);


class OmGSourceParameters : public DopeVector<OmGSourceParameter>
{
public:
  // f90:: allocate(OmSourceParameter(length))
  OmGSourceParameters(int length)
  {
    int lbound=1;
    int ubound=length;
    F90MODPROC(omgsourceparameter_mod, new_)(this, lbound, ubound);
  }

  // f90:: allocate(OmSourceParameter(lbound:ubound))
  OmGSourceParameters(int lbound,int ubound)
  {
    F90MODPROC(omgsourceparameter_mod,new_)(this, lbound, ubound);
  }
  
  // f90:: deallocate(OmSourceParameter)
  ~OmGSourceParameters()
  {
    F90MODPROC(omgsourceparameter_mod,delete_)(this);
  }
private:
   // disabled member functions
  OmGSourceParameters();
  OmGSourceParameters(const OmGSourceParameters&);
  OmGSourceParameters& operator=(const OmGSourceParameters&);
};




#endif
